/*reset default html styling*/
*{
	margin: 0;
	padding: 0;
	/*The CSS box-sizing property allows us to include the padding and border in an element's total width and height.*/
	box-sizing: border-box;
	font-family: 'Merriweather Sans', sans-serif;

}

:root {
  --bg-color: hsl(359, 0%, 83%);
  --typewriterSpeed: 3s;
  --typewriterCharacters: 24;
}

body {
  margin: 0;
  font-family: 'Merriweather Sans', sans-serif;
  place-content: center;
  
}

.jumbotron {
<<<<<<< HEAD
  background-image: linear-gradient(to bottom, rgba(245, 246, 252, 0.52), rgba(67, 67, 67, 90)),
                    url("./images/jumbotronheader.jpeg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  font-style: italic;
  font-weight: bold;   
  padding: 50px;
  padding-top: 50px;
}



h1 {
  color: white;
  font-weight: bold;
  font-size: clamp(1rem, 3vw + 1rem, 4rem);
  position: relative;
  font-family: "Source Code Pro", monospace;
  position: relative;
  width: fit-content;
  

}

h1::before,
h1::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

h1::before {
  background: var(--bg-color);
  animation: typewriter var(--typewriterSpeed)
    steps(var(--typewriterCharacters)) 1s forwards;
}

h1::after {
  width: 0.125em;
  background: black;
  animation: typewriter var(--typewriterSpeed)
      steps(var(--typewriterCharacters)) 1s forwards,
    blink 750ms steps(var(--typewriterCharacters)) infinite;
}

.subtitle {
  color: hsl(49, 23, 72);
  font-size: 1rem;
  font-weight: 400;
  opacity: 0;
  transform: translateY(3rem);
  animation: fadeInUp 2s ease calc(var(--typewriterSpeed) + 2s) forwards;
}

@keyframes typewriter {
  to {
    left: 100%;

  }
}

@keyframes blink {
  to {
    background: transparent;
  }
}

@keyframes fadeInUp {
  to {
    opacity: 1;
    transform: translateY(0);
  }
=======
  background-image: url("./images/jumbotronheader.jpeg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  font-weight: bold;
  margin: 10px; 
  padding: 50px;
  padding-top: 50px;
 
>>>>>>> 4209a0d4f8e3956bf119c03504e3f1c812673322
}

.aboutme {
<<<<<<< HEAD
  background-image: url("./images/gray1.jpg");
=======
  background-image: url("./images/inverted.jpg");
>>>>>>> 4209a0d4f8e3956bf119c03504e3f1c812673322
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  padding-top: 20px;
<<<<<<< HEAD
  font-weight: light;  
=======
  font-weight: light;
  margin: 10px;
>>>>>>> 4209a0d4f8e3956bf119c03504e3f1c812673322
  padding: 20px;	
  
}

.projects {
<<<<<<< HEAD
  background-image: linear-gradient(to bottom, rgba(245, 246, 252, 0.52), rgba(67, 67, 67, 90)), url("./images/project.jpeg");
=======
  background-image: url("./images/project.jpeg");
>>>>>>> 4209a0d4f8e3956bf119c03504e3f1c812673322
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  padding-top: 50px; 
  padding: 50px;

}

<<<<<<< HEAD
.Capstone1 {
  gap: 4px;
  grid-template-columns: repeat(3, 100px);
}

.Capstone1:hover .middle:not(:hover) {
  filter: none;
}

.Capstone1:hover .middle:not(:hover) ::after {
  background-color: rgba(0, 0, 0, 0.5);
}

@media (min-width: 30rem) {
  .middle {
    grid-template-columns: repeat(3, 150px);
  }
}

.middle {
  position: relative;
  cursor: pointer;
  transition: 0.3s;
  filter: blur(5px);
}

.middle::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0);
  transition: 0.3s;
}

.Capstone2 {
  gap: 4px;
  grid-template-columns: repeat(3, 100px);
}

.Capstone2:hover .middle2:not(:hover) {
  filter: none;
}

.Capstone2:hover .middle2:not(:hover) ::after {
  background-color: rgba(0, 0, 0, 0.5);
}

@media (min-width: 30rem) {
  .middle2 {
    grid-template-columns: repeat(3, 150px);
  }
}

.middle2 {
  position: relative;
  cursor: pointer;
  transition: 0.3s;
  filter: blur(5px);
}

.middle2::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0);
  transition: 0.3s;
}

.Capstone3 {
  gap: 4px;
  grid-template-columns: repeat(3, 100px);
}

.Capstone3:hover .middle3:not(:hover) {
  filter: none;
}

.Capstone3:hover .middle3:not(:hover) ::after {
  background-color: rgba(0, 0, 0, 0.5);
}

@media (min-width: 30rem) {
  .middle3 {
    grid-template-columns: repeat(3, 150px);
  }
}

.middle3 {
  position: relative;
  cursor: pointer;
  transition: 0.3s;
  filter: blur(5px);
}

.middle3::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0);
  transition: 0.3s;
}

.contact {
  background-image: url("./images/abstract-gray.jpg");
=======
.contact {
  background-image: url("./images/inverted.jpg");
>>>>>>> 4209a0d4f8e3956bf119c03504e3f1c812673322
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  padding-top: 50px;
  font-weight: bold;
  padding: 50px;
}


        


          
